@font-face {
    font-family: "Arabia Weather";
    src: url(../fonts/ArabiaWeather-Reg.ttf) format("truetype"),
        url(../fonts/ArabiaWeather-Reg.eot);
}
@font-face {
    font-family: 'DIN Next LT Arabic';
    src: url('../fonts/DINNextLTArabic-Regular.woff2') format('woff2'),
        url('../fonts/DINNextLTArabic-Regular.woff') format('woff');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'DIN Next LT Bold';
    src: url('../fonts/DINNextLTArabic-Bold.woff2') format('woff2'),
        url('../fonts/DINNextLTArabic-Bold.woff') format('woff');
    font-weight: bold;
    font-style: normal;
    font-display: swap;
}
@font-face {
    font-family: 'Agency FB';
    src: url('../fonts/AgencyFB-Bold.woff2') format('woff2'),
        url('../fonts/AgencyFB-Bold.woff') format('woff');
    font-weight: bold;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'GE Dinar One';
    src: url('../fonts/GEDinarOne-Bold.woff2') format('woff2'),
        url('../fonts/GEDinarOne-Bold.woff') format('woff');
    font-weight: bold;
    font-style: normal;
    font-display: swap;
}
@font-face {
    font-family: 'Neo Sans Pro Bold';
    src: url('../fonts/NeoSansPro-Bold.woff2') format('woff2'),
        url('../fonts/NeoSansPro-Bold.woff') format('woff');
    font-weight: bold;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Neo Sans Pro';
    src: url('../fonts/NeoSansPro-Medium.woff2') format('woff2'),
        url('../fonts/NeoSansPro-Medium.woff') format('woff');
    font-weight: 500;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: "maater";
    src: url(../fonts/TheSansArab-Plain.ttf);
}

@font-face {
    font-family: "maaterBold";
    src: url(../fonts/TheSansArab-Bold.ttf);
}

@font-face {
    font-family: "din";
    src: url(../fonts/DINNextLTArabic-Regular.ttf);
}

@font-face {
    font-family: "almamlaka";
    src: url("../fonts/BoutrosDinkumMedium.eot");
    src: url("../fonts/BoutrosDinkumMedium.eot?#iefix") format("embedded-opentype"),
        url("../fonts/BoutrosDinkumMedium.woff2") format("woff2"),
        url("../fonts/BoutrosDinkumMedium.woff") format("woff"),
        url("../fonts/BoutrosDinkumMedium.ttf") format("truetype"),
        url("../fonts/BoutrosDinkumMedium.svg#BoutrosDinkumMedium") format("svg");
}

body {
    font-family: "Arabia Weather";
}

.rtl {
    direction: rtl;
}

.ltr {
    direction: ltr;
}

.np {
    padding: 0 !important;
}

body.login-page {
    background: #012c66 url(../images/login-bg.jpg);
    background-size: cover;
    color: #fff;
}

body.login-page-jazeera {
    background: black url(../images/jazeera/galaxystarfield.png);
    background-size: cover;
    color: #fff;
}

body.login-page.app-aviation {
    background: #012c66 url(../images/aviation-login-bg.jpg);
    background-size: cover;
}

/* canvas {
    display: block;
  } */
.table {
    margin-bottom: 15px;
    /* margin-left: -13px; */
}

.btn-inverse {
    background-color: #222;
    border-color: #080808;
}

hr {
    clear: both;
    width: 100%;
}

.navbar-inverse {
    border-radius: 0;
}

.navbar-inverse .navbar-brand {
    padding: 10px;
    position: relative;
}

.navbar-brand .slogan {
    position: absolute;
    top: 30px;
    right: 10px;
    font-size: 10px;
}

.navbar-toggle {
    margin-right: 10px;
}

.lang-ar .navbar-toggle {
    margin-left: 10px;
    margin-right: 0;
}

.lang-ar .navbar-brand .slogan {
    right: auto;
    left: 10px;
}

.lang-en .btn-en {
    display: none;
}

.lang-ar .btn-ar {
    display: none;
}

.lang-en .ar-only {
    display: none;
}

.lang-ar .en-only {
    display: none;
}

.lang-ar .pull-right {
    float: left !important;
}

.lang-ar .pull-left {
    float: right !important;
}

.language-switch-container {
    float: right;
}

.lang-ar .language-switch-container {
    float: left;
}

.btn-switch-lang {
    background: transparent;
    color: #fff;
    font-weight: bold;
    padding: 15px;
    border: 0;
}

.btn-switch-lang:hover {
    color: #fff;
    background: #3a3a3a;
}

#comparison-table .table {
    font-family: monospace;
    font-size: 11px;
}

#map-container {
    padding: 0;
    position: relative;
    overflow: hidden;
}

#map-canvas {
    max-width: 90%;
}

#map-draw-container.white-icons {
    background: #126311;
    float: left;
}

.weather-icons-container {
    float: left;
    width: 100%;
}

#draw-modal .modal-body {
    float: left;
    width: 100%;
}

#draw-modal .modal-header {
    border-bottom: 0;
}

#draw-modal .modal-footer {
    border-top: 0;
}

.white-icons .draggable-icon {
    filter: saturate(0) brightness(2);
}

.text-container {
    position: absolute;
    top: -1px;
    left: 0;
    width: 200px;
    height: 0;
}

.draggable-text {
    color: #fff;
    left: -200px;
    cursor: move;
}

.side-tools {
    float: left;
    width: 100%;
    min-height: 200px;
    position: relative;
    z-index: 999;
}

#icons-edit-tools {
    display: none;
}

#texts-edit-tools {
    display: none;
}

#arrows-edit-tools {
    display: none;
}

#others-edit-tools {
    display: none;
}

.slider.slider-horizontal {
    width: 100%;
}

#arrows-rotation-slider,
#others-rotation-slider {
    margin: 20px auto;
    direction: ltr;
}

.slider.slider-horizontal .tooltip {
    margin-left: -23px;
}

@media screen and (max-width: 576px) {

    #map-container,
    #base-map {
        max-width: 100% !important;
        height: auto !important;
    }
}

#brush-btns {
    position: absolute;
    left: 4px;
}

.lang-ar #brush-btns {
    left: auto;
    right: 4px;
}

#brush-btns .btn {
    display: block;
}

.mouse-off {
    pointer-events: none !important;
}

.brush-preset {
    display: inline-block;
    height: 32px;
    width: 32px;
}

.rect-preset {
    height: 32px;
    width: 32px;
}

.brush-preset:hover {
    opacity: 0.7;
}

#base-map,
#map-container {
    user-select: none;
    -webkit-user-drag: none;
}

.map-wraper-container {
    margin-left: 26px;
    transform: scale(0.5);
    transform-origin: top left;
}

.lang-ar .map-wraper-container {
    margin-left: auto;
    margin-right: 26px;
    transform-origin: top right;
}

#map-wraper {
    position: relative;
    overflow: hidden;
    height: auto !important;
}

#template-header {
    position: relative;
}

#template-header-image {
  /*   box-shadow: 0px 0px 12px 3px rgba(0, 0, 0, 0.4); */
    position: relative;
    z-index: 1;
}

#template-footer-image {
  /*   box-shadow: 0px 0px 20px 1px rgba(0, 0, 0, 0.4); */
    position: relative;
    /* z-index: 1; */
}

img[src="false"] {
    display: none;
}

#brush-btns > .btn {
    float: none !important;
}

.ui-resizable-handle:not(.ui-resizable-n):not(.ui-resizable-w):not(.ui-resizable-s):not(.ui-resizable-e) {
    display: none;
    width: 16px;
    height: 16px;
    background-color: #fff;
    box-shadow: 0px 0px 6px 2px #000;
}

.ui-resizable-nw {
    top: 2px;
    left: 2px;
}

.ui-resizable-ne {
    top: 2px;
    right: 2px;
}

.ui-resizable-sw {
    bottom: 2px;
    left: 2px;
}

.resizable-rect .ui-resizable-nw {
    top: -10px;
    left: -10px;
}

.resizable-rect .ui-resizable-ne {
    top: -10px;
    right: -10px;
}

.resizable-rect .ui-resizable-sw {
    bottom: -10px;
    left: -10px;
}

.resizable-rect .ui-resizable-se {
    bottom: -10px;
    right: -10px;
}

.error-page-container {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 200px;
    height: 100px;
    margin-left: -100px;
    margin-top: -50px;
    text-align: center;
}

.error-page-container .error-code {
    font-size: 100px;
    font-weight: bold;
    width: 100%;
}

.error-page-container .error-text {
    font-size: 14px;
    width: 100%;
}

footer {
    padding: 15px 10px;
    color: black;
}

.login-page footer,
.error-page footer {
    display: none;
}

.paste-url-container,
.upload-img-container {
    display: none;
}

#paste-url-input,
#upload-img-input,
#upload-logo-input {
    width: 100%;
    float: left;
    margin-right: 10px;
    padding-left: 45px;
}

.lang-ar #paste-url-input,
.lang-ar #upload-img-input {
    margin-right: auto;
    margin-left: 10px;
}

.paste-url-thumb,
.upload-img-thumb {
    width: 34px;
    height: 34px;
    overflow: hidden;
    float: left;
    position: absolute;
    top: 0;
    z-index: 2;
    left: 16px;
}

.lang-ar .paste-url-thumb,
.lang-ar .upload-img-thumb {
    right: auto;
    left: calc(20% + 9px);
}

#paste-url-tmp-img,
#upload-img-tmp-img {
    position: absolute;
    top: 40px;
    left: 0;
}

#paste-url-tmp-img-thumb,
#upload-img-tmp-img-thumb {
    width: 34px;
    height: 34px;
    border-radius: 5px;
}

/* radio list */

.radio-list {
    float: left;
    width: 100%;
}

.radio-list label {
    width: 100%;
    display: block;
    min-height: 30px;
    margin-bottom: 12px;
    background: #fff;
    line-height: 30px;
    text-indent: 0px;
    cursor: pointer;
}

.radio-list input[type="radio"],
.radio-text-list input[type="radio"] {
    position: absolute;
    visibility: hidden;
}

.radio-list input[type="radio"] + div {
    outline: 4px solid #f3f3f3;
}

.radio-list input[type="radio"]:checked + div {
    outline: 4px solid #5ac0df;
}

.radio-list img {
    width: 100%;
    height: auto;
}

.radio-text-list input[type="radio"]:checked + div {
    color: #333;
    background-color: #e6e6e6;
    border-color: #8c8c8c;
    outline: 5px auto -webkit-focus-ring-color;
    outline-offset: -2px;
}

.panel-group .panel-title > a {
    display: block;
}

#preselect-template {
    margin-bottom: 15px;
    clear: both;
}

#preselect-template > img {
    margin: 2px;
    cursor: pointer;
}

/* options box */

.options-box {
    float: left;
    width: 100%;
    max-height: 0;
    overflow: hidden;
    transition: 0.4s all ease;
}

.options-box.open {
    max-height: 2200px;
}

/* autocomplete */

.autocomplete-suggestions {
    border: 1px solid #999;
    background: #fff;
    cursor: default;
    overflow: auto;
    -webkit-box-shadow: 1px 4px 3px rgba(50, 50, 50, 0.64);
    -moz-box-shadow: 1px 4px 3px rgba(50, 50, 50, 0.64);
    box-shadow: 1px 4px 3px rgba(50, 50, 50, 0.64);
}

.autocomplete-suggestion {
    padding: 2px 5px;
    white-space: nowrap;
    overflow: hidden;
    direction: rtl;
}

.autocomplete-suggestion.odd {
    background-color: #f9f9f9;
}

.autocomplete-suggestion.even {
    background-color: #fff;
}

.autocomplete-suggestion {
    padding: 2px 5px;
    white-space: nowrap;
    overflow: hidden;
    direction: rtl;
}

#autocomplete-ajax {
    display: inline-block;
    padding: 4px 6px;
    margin-bottom: 10px;
    font-size: 14px;
    line-height: 100%;
    color: #555555;
    vertical-align: middle;
    -webkit-border-radius: 4px;
    -moz-border-radius: 4px;
    border-radius: 4px;
    outline: 0;
    max-width: 100%;
    background-position: right;
    background-repeat: no-repeat;
}

.lang-ar #autocomplete-ajax {
    background-position: left;
}

.login-page figcaption {
    text-align: right;
    margin-right: 50px;
}

.login-page .text-danger {
    text-shadow: #000 1px 1px 1px;
}

#chart-container,
#snow-chart-container {
    position: absolute;
    top: 10%;
    left: 8%;
}

#fivedays-container {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
}

.fivedays-options-tabs .nav-tabs > li a {
    padding: 10px;
    font-size: 12px;
}

.fivedays-options-tabs .tab-content {
    border: 1px solid #ddd;
    border-top: 0;
    padding: 12px 5px;
}

.header-panel .panel-body,
.content-panel .panel-body,
.footer-panel .panel-body {
    padding-left: 10px;
    padding-right: 10px;
}

.pdf-report-container {
    text-align: center;
}

.a4-page {
    background: #fff;
    width: 21cm;
    height: 29.7cm;
    display: inline-block;
    text-align: initial;
    direction: rtl;
    position: relative;
    font-size: 14px;
    overflow: hidden;
}

.a4-page.ltr {
    direction: ltr;
}

.a4-page.landscape {
    height: 21cm !important;
    width: 29.7cm !important;
}

.a4-page.landscape .pdf-page-header {
    height: 5%;
}

.a4-page.landscape .pdf-page-content {
    height: 90%;
}

.a4-page.landscape-no-header .pdf-page-content {
    height: 100%;
}

.a4-page.landscape-no-header .pdf-page-footer {
    display: none;
}

.work-area .a4-page {
    box-shadow: 0px 1px 13px -1px #000;
    padding: 5%;
}

.pdf-page-header {
    width: 100%;
    height: 8%;
    font-size: 0.95em;
    padding: 0%;
}

.pdf-page-header-left {
    float: left;
    width: 33.33333333%;
    height: 100%;
    padding: 0 2%;
}

.pdf-page-header-middle {
    float: left;
    width: 33.33333333%;
    height: 100%;
    padding: 0 2%;
}

.pdf-page-header-middle img {
    width: auto;
    height: 80%;
}

.pdf-page-header-right {
    float: left;
    width: 33.33333333%;
    height: 100%;
    padding: 0 2%;
}

.dz-report-page .pdf-page-header-middle,
.sponsor-pdf-page .pdf-page-header-middle {
    width: 68%;
    padding: 2%;
}

.dz-report-page .pdf-page-header-middle div:nth-child(1),
.sponsor-pdf-page .pdf-page-header-middle div:nth-child(1) {
    font-size: 32px;
    font-weight: bold;
}

.dz-report-page .pdf-page-header-right,
.dz-report-page .pdf-page-header-left {
    width: 16%;
    height: auto;
    padding: 0;
}

.sponsor-pdf-page .pdf-page-header-right,
.sponsor-pdf-page .pdf-page-header-left {
    width: 20% !important;
}

.sponsor-pdf-page .pdf-page-header-middle {
    width: 60% !important;
}

.dz-report-page .pdf-page-header-middle div:nth-child(2),
.sponsor-pdf-page .pdf-page-header-middle div:nth-child(2) {
    font-weight: bold;
}

.pdf-page-content {
    width: 100%;
    height: 90%;
    padding: 1.261034048% 0%;
    overflow: hidden;
}

.pdf-page-content .table > tbody > tr > td,
.pdf-page-content .table > tbody > tr > th,
.pdf-page-content .table > tfoot > tr > td,
.pdf-page-content .table > tfoot > tr > th,
.pdf-page-content .table > thead > tr > td,
.pdf-page-content .table > thead > tr > th {
    padding: 0.7% 1%;
}

.pdf-page-content .table.table-condensed > tbody > tr > td,
.pdf-page-content .table.table-condensed > tbody > tr > th,
.pdf-page-content .table.table-condensed > tfoot > tr > td,
.pdf-page-content .table.table-condensed > tfoot > tr > th,
.pdf-page-content .table.table-condensed > thead > tr > td,
.pdf-page-content .table.table-condensed > thead > tr > th,
.pdf-page-content .table.table-condensed-td > thead > tr > td,
.pdf-page-content .table.table-condensed-td > tbody > tr > td {
    /*padding: 0.3% 1%;*/
    padding: 0.2% 0.5% 0 0.5%;
    font-size: 0.9em;
    /*line-height: 1;*/
}

.marine-route-page .pdf-page-content .table.table-condensed > tbody > tr > td,
.marine-route-page .pdf-page-content .table.table-condensed > tbody > tr > th,
.marine-route-page .pdf-page-content .table.table-condensed > tfoot > tr > td,
.marine-route-page .pdf-page-content .table.table-condensed > tfoot > tr > th,
.marine-route-page .pdf-page-content .table.table-condensed > thead > tr > td,
.marine-route-page .pdf-page-content .table.table-condensed > thead > tr > th,
.marine-route-page .pdf-page-content .table.table-condensed-td > thead > tr > td,
.marine-route-page .pdf-page-content .table.table-condensed-td > tbody > tr > td {
    padding: 0.2% 0.5% 0 0.5%;
}

.marine-table > tbody > tr > th {
    font-size: 1.3em !important;
}

.day-data-table .day1-status-text,
.day-data-table .day2-status-text,
.day-data-table .day3-status-text,
.day-data-table .day4-status-text,
.day-data-table .day5-status-text,
.day-data-table .day6-status-text,
.day-data-table .day7-status-text,
.day-data-table .day8-status-text,
.day-data-table .day9-status-text,
.day-data-table .day10-status-text {
    font-size: 0.8em !important;
    padding-left: 2.5px !important;
    padding-right: 2.5px !important;
}

.pdf-page-content p,
.pdf-page-content ul,
.pdf-page-content ol {
    margin-bottom: 0;
}

#printable {
    width: 2480px;
    min-height: 3508px;
    position: fixed;
    top: 0;
    left: 0;
    pointer-events: none;
}

#printable .a4-page {
    width: 2480px;
    height: 3508px;
    font-size: 44px;
    position: fixed;
    top: 0;
    left: 0;
    margin: 0 !important;
    overflow: hidden;
    pointer-events: none;
}

.day-data-table {
    width: 100%;
    border: 2px solid #000;
    font-size: 0.8em;
}

.a4-page.pdf-page .day-data-table {
    font-size: 0.76em;
}

.day-data-table .subtitle {
    background: #dedede;
    text-align: center;
}

.day-data-table.table > tbody > tr > th {
    text-align: center;
    background: #b3b3b3 !important;
    vertical-align: middle;
    white-space: nowrap;
}

.day-data-table.table > tbody > tr > td {
    vertical-align: middle;
}

.day-data-table td b,
.day-data-table td strong {
    font-size: 1.1em;
}

.day-data-table ul {
    /*	padding-right: 2.522068096%;*/
}

.day-data-table .table {
    margin-bottom: 0;
}

.day-data-table .table td {
    vertical-align: middle;
}

.dz-report-page .locations-data-table thead tr:nth-child(1) th:nth-child(1),
.dz-report-page .locations-data-table thead tr:nth-child(2) th:nth-child(1) {
    visibility: hidden;
}

.dz-report-page .locations-data-table {
    border: 1px solid #ddd;
}

.dz-report-page .locations-data-table thead tr:nth-child(1) th:nth-child(2) {
    background-color: #01497a !important;
    color: #fff !important;
    font-weight: bold;
    font-size: 1.5em;
    padding-top: 1%;
    padding-bottom: 0.4%;
    border-bottom: none;
}

.dz-report-page .locations-data-table thead tr:not(:nth-child(1)) th {
    color: #797979 !important;
    font-size: 1.1em;
    padding-top: 1%;
    padding-bottom: 0.4%;
    border-top: none;
}

.dz-report-page .locations-data-table thead tr:nth-child(3) th {
    border: none;
    background-color: #e8e8e8 !important;
}

.dz-report-page .locations-data-table thead tr:nth-child(3) th:nth-child(5) {
    border-left: 1px solid #ddd !important;
}

.dz-report-page .day-data-table.table > tbody > tr > th {
    background-color: initial !important;
}

.dz-report-page .day-data-table.table > tbody > tr:nth-of-type(even) th,
.dz-report-page .day-data-table.table > tbody > tr:nth-of-type(even) td {
    background-color: #e8e8e8 !important;
}

.pdf-page-footer {
    width: 100%;
    height: 2%;
    color: #005aa0 !important;
    padding: 1% 0 0 0;
    direction: ltr;
    text-align: center;
    font-size: 0.6em;
}

.pdf-page-footer span {
    margin-left: 6px;
    margin-right: 6px;
    white-space: nowrap;
    color: #005aa0 !important;
}

.pdf-page-footer span i:before,
.pdf-page-footer span i:after {
    color: #005aa0 !important;
}

.pdf-page-footer .orange {
    color: #ff5000 !important;
}

.checkboxed {
    cursor: pointer;
    font-size: 1.1em;
    transition: 0.6s ease;
}

.checkboxed.fa-times {
    opacity: 0.4;
}

#loading-overlay {
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    background: #fff;
    z-index: 9999999;
    display: none;
}

#loading-overlay .loader {
    border: 6px solid #f3f3f3;
    border-radius: 50%;
    border-top: 6px solid #3498db;
    width: 40px;
    height: 40px;
    -webkit-animation: spin 2s linear infinite;
    /* Safari */
    animation: spin 2s linear infinite;
    position: absolute;
    left: 50%;
    top: 50%;
    margin-top: -20px;
    margin-left: -20px;
}

.aw-loader {
    position: absolute;
    top: 45%;
    left: 45%;
    width: 10%;
    height: 10%;
    z-index: 520;
    background: url(../images/loading_80.gif) no-repeat center;
}

.warning-cell div:empty {
    display: none;
}

/* marine pdf */

.marine-pdf-page th {
    background: #acb9cb !important;
}

.marine-pdf-page-header-left {
    float: left;
    width: 50%;
    padding: 2% 2% 2% 0;
}

.marine-pdf-page-header-left table {
    margin-bottom: 0;
}

.marine-pdf-page-header-right {
    float: left;
    width: 50%;
    padding: 2% 0 2% 2%;
}

.marine-route-page .marine-pdf-page-header-right {
    width: 46%;
}

.marine-route-page .marine-pdf-page-header-left {
    width: 54%;
}

.marine-table,
.grib-table {
    border: 2px solid;
    font-size: 0.75em;
    width: 100%;
}

.grib-table [hour="00"] {
    border-top: 2px solid;
}

.marine-table:not(.text-center),
.grib-table:not(.text-center) {
    text-align: left;
}

.marine-table.table > tbody > tr > td,
.marine-table.table > tbody > tr > th,
.marine-table.table > tfoot > tr > td,
.marine-table.table > tfoot > tr > th,
.marine-table.table > thead > tr > td,
.marine-table.table > thead > tr > th,
.grib-table.table > tbody > tr > td,
.grib-table.table > tbody > tr > th,
.grib-table.table > tfoot > tr > td,
.grib-table.table > tfoot > tr > th,
.grib-table.table > thead > tr > td,
.grib-table.table > thead > tr > th {
    vertical-align: middle;
    padding: 1.5%;
}

.marine-table:not(#marine-table):not(.unbordered-cells) td {
    font-size: 1.1em;
}

.unbordered-cells.table > tbody > tr > td,
.unbordered-cells.table > tbody > tr > th,
.unbordered-cells.table > tfoot > tr > td,
.unbordered-cells.table > tfoot > tr > th,
.unbordered-cells.table > thead > tr > td,
.unbordered-cells.table > thead > tr > th {
    border: 0;
}

.marine-table.table-bordered td,
.marine-table.table-bordered th {
    border: 1px solid #000 !important;
}

.marine-table tr.bt {
    /*border-top: 2px solid;*/
}

.marine-full-table tr.bt[hour="00"] {
    border-top: 2px solid;
}

.marine-full-table thead {
    border-bottom: 2px solid;
}

.marine-full-table > thead > tr > th,
.marine-full-table > tbody > tr > td.hour,
.marine-full-table > tbody > tr > td.wind-gust-80m,
.marine-full-table > tbody > tr > td.swell-per,
.marine-full-table > tbody > tr > td.status-text,
.marine-full-table > tbody > tr > td.visibility,
.marine-full-table > thead > tr:nth-child(2) > td:nth-child(3),
.marine-full-table > thead > tr:nth-child(3) > td:nth-child(4) {
    border-right: 2px solid #000 !important;
}

.marine-full-table th {
    padding: 1.2% 0 !important;
}

.marine-table tr.bb {
    border-bottom: 2px solid;
}

.text-center th {
    text-align: center;
}

.marine-pdf-page-header-right img {
    float: left;
    margin-left: 10%;
    margin-top: 12%;
    border-right: 1px solid #545454;
    padding-right: 4%;
    width: 30%;
    margin-right: 4%;
}

.marine-pdf-page-header-right .header-right-text {
    float: left;
    width: 56%;
    text-align: left;
    margin-top: 14.5%;
}

.marine-full-table [background="null"] {
    /*	background: aqua !important;*/
}

.marine-full-table [background="green"] {
    /*	background: green !important;*/
}

.marine-full-table [background="yellow"] {
    background: yellow !important;
}

.marine-full-table [background="red"] {
    background: red !important;
}

.marine-full-table tbody tr:last-child {
    border-bottom: 2px solid;
}

#grib-table [background="deepskyblue"] {
    background: deepskyblue !important;
    color: #fff !important;
}

#grib-table [background="skyblue"] {
    background: skyblue !important;
}

#grib-table [background="lightblue"] {
    background: lightblue !important;
}

#grib-table [background="blueviolet"] {
    background: blueviolet !important;
    color: #fff !important;
}

#media-chart-container-1,
#media-chart-container-2,
#media-chart-container-3,
#media-chart-container-4 {
    /*zoom: 0.506;*/
}

.vertical-text-container {
    position: relative;
    padding-left: 0 !important;
    padding-right: 0 !important;
}

.vertical-text {
    transform: rotate(-90deg);
    white-space: nowrap;
    width: 18px;
    text-indent: -18px;
    margin-left: 4px;
    font-size: 0.88em;
}

.marine-route-page .vertical-text {
    width: 14px;
    margin-left: 3px;
    font-weight: bold;
}

#days-overview-daynames td > b,
#ten-days-overview-daynames td > b {
    margin: 5% 0 3% 0;
    display: inline-block;
}

.risk-td {
    position: relative;
    padding: 1.4% 0 1% 0 !important;
    font-size: 1em !important;
    font-weight: bold;
}

.marine-route-page .risk-td {
    line-height: 2.5;
}

#risk-color-picker {
    position: absolute;
}

#risk-color-picker select {
    width: 80px;
    height: 40px;
}

td.status-text {
    font-size: 10px !important;
    line-height: 8px !important;
    padding-left: 2px !important;
    padding-right: 2px !important;
}

td.dayname-container {
    padding-left: 2px !important;
    padding-right: 2px !important;
}

.risk-legends-container {
    font-size: 0.85em;
}

.risk-legends-container > div {
    float: left;
    width: 33.33333333%;
}

.risk-legend {
    display: inline-block;
    width: 18px;
    height: 18px;
    line-height: 18px;
    text-align: center;
    border: 1px solid #ccc;
}

.risk-legend.red {
    display: inline-block;
    background: red !important;
}

.risk-legend.yellow {
    background: yellow !important;
}

.risk-legend.green {
    background: green !important;
}

.marine-report-page .pdf-page-content .table.table-condensed > tbody > tr > th {
    padding: 1.4% 1% !important;
    font-size: 1.2em !important;
}

#five-day-overview td[endhour="00"],
#ten-day-overview td[endhour="00"],
#days-overview-daynames td,
#ten-days-overview-daynames td,
.marine-report-page .risk-tr td:first-child,
.marine-route-page .risk-tr td:first-child,
.marine-report-page .risk-tr td[endhour="00"],
#five-day-overview td[endhour]:last-child,
#ten-day-overview td[endhour]:last-child,
#five-day-overview th.day-overview-title,
#ten-day-overview th.day-overview-title {
    border-right: 2px solid #000 !important;
}

.cke {
    margin-top: -20px !important;
}

g.highcharts-xaxis-labels text:last-child[x="0"] {
    display: none;
}

.socialcards-page .nav-tabs > li.active > a,
.nav-tabs > li.active > a:focus,
.nav-tabs > li.active > a:hover {
    background-color: #f5f5f5;
}

.weather-status-select + .select2-container {
    width: 100% !important;
}

.reportpage .a4-page .recorded-min,
.reportpage .a4-page .forecasted-min,
.reportpage-sa .a4-page .recorded-min,
.reportpage-sa .a4-page .forecasted-min {
    color: blue;
    font-weight: bold;
}

.reportpage .a4-page .recorded-max,
.reportpage .a4-page .forecasted-max,
.reportpage-sa .a4-page .recorded-max,
.reportpage-sa .a4-page .forecasted-max {
    color: red;
    font-weight: bold;
}

.reportpage-sa .a4-page.page-1 table > tbody td:first-of-type {
    text-align: right;
    width: 12%;
}

.weathercards-page .card-container {
    display: none;
    height: 100%;
    width: 100%;
}

#almamlaka-card,
#almamlaka-v-card {
    font-family: "almamlaka";
}

#almamlaka-card #left-table .weathercard-mamlaka-icon,
#almamlaka-card #right-table .weathercard-mamlaka-icon {
    position: relative;
    top: -4px;
    margin-left: 36%;
    margin-right: 42%;
    height: 100%;
    width: auto;
    text-align: center;
}

#almamlaka-v-card #weather-statuses .weathercard-mamlaka-icon {
    position: relative;
    top: -4px;
    margin-left: 30%;
    margin-right: 51%;
    height: 100%;
    width: auto;
    text-align: center;
}

#almamlaka-card .weathercard-mamlaka-icon img,
#almamlaka-v-card #weather-statuses .weathercard-mamlaka-icon img {
    height: 100%;
}

#almamlaka-card #right-table {
    position: absolute;
    top: 57%;
    right: 5%;
    height: 32%;
    width: 40%;
    font-size: 4em;
}

#almamlaka-card #left-table {
    position: absolute;
    top: 57%;
    left: 5%;
    height: 32%;
    width: 40%;
    font-size: 4em;
}

#almamlaka-card #left-table div[locid],
#almamlaka-card #right-table div[locid] {
    position: relative;
    height: 16.8%;
    font-size: 0.9em;
}

#almamlaka-v-card #weather-statuses div[locid] {
    position: relative;
    height: 7.6%;
    margin-bottom: 1%;
    font-size: 0.9em;
}

#almamlaka-card #right-table .weathercard-day-temp,
#almamlaka-card #left-table .weathercard-day-temp {
    position: absolute;
    left: 17%;
    top: 2%;
}

/* 
.platform-microsoft-windows #almamlaka-card #right-table .weathercard-day-temp,
.platform-microsoft-windows #almamlaka-card #left-table .weathercard-day-temp {
    top: -13%;
}

.platform-microsoft-windows #almamlaka-card #right-table .weathercard-night-temp,
.platform-microsoft-windows #almamlaka-card #left-table .weathercard-night-temp {
    top: 8%;
}

.platform-microsoft-windows #almamlaka-card #left-table .weathercard-mamlaka-icon,
.platform-microsoft-windows #almamlaka-card #right-table .weathercard-mamlaka-icon {
    top: -13px;
}

.platform-microsoft-windows #almamlaka-card .weathercard-date,
.platform-microsoft-windows #almamlaka-card .weathercard-day-ar {
    top: 11% !important;
}


.platform-microsoft-windows #almamlaka-v-card .weathercard-date,
.platform-microsoft-windows #almamlaka-v-card .weathercard-day-ar {
    top: 11.6% !important;
}

.platform-microsoft-windows #almamlaka-amman-status {
    top: 41% !important;
}

.platform-microsoft-windows #almamlaka-amman-status .weathercard-night-temp {
    top: 19% !important;
}

.platform-microsoft-windows #almamlaka-v-amman-status {
    top: 28.4% !important;
}

.platform-microsoft-windows #almamlaka-v-amman-status .weathercard-night-temp {
    top: 19% !important;
}

.platform-microsoft-windows #almamlaka-v-card #weather-statuses .weathercard-day-temp{
    top: -13%;
}

.platform-microsoft-windows #almamlaka-v-card #weather-statuses .weathercard-night-temp{
    top: -10%;
} */

#almamlaka-card #right-table .weathercard-night-temp,
#almamlaka-card #left-table .weathercard-night-temp {
    position: absolute;
    top: 18%;
    left: 0%;
    font-size: 0.7em;
    width: 14%;
    text-align: center;
}

#almamlaka-v-card #weather-statuses .weathercard-day-temp {
    position: absolute;
    left: 12%;
    top: 2%;
    font-size: 1.3em;
    direction: rtl;
    width: 17.5%;
    height: 100%;
    text-align: center;
}

#almamlaka-v-card #weather-statuses .weathercard-night-temp {
    position: absolute;
    top: 0%;
    left: 0%;
    width: 12%;
    text-align: center;
    height: 100%;
    padding-top: 1%;
}

#almamlaka-v-card #weather-statuses {
    position: absolute;
    top: 37.3%;
    right: 9.5%;
    width: 81.2%;
    height: 51.5%;
    font-size: 4em;
}

#svgDayCollapse > .panel-body,
#svgNightCollapse > .panel-body {
    background-color: #c6c7c7;
}

label .switch {
    position: relative;
    display: inline-block;
    width: 44px;
    height: 24px;
    margin: 0 4px -4px 4px;
}

label .switch input {
    display: none;
}

label .switch .slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    -webkit-transition: 0.4s;
    transition: 0.4s;
}

label .switch .slider:before {
    position: absolute;
    content: "";
    height: 78%;
    width: 43%;
    left: 7%;
    bottom: 11%;
    background-color: white;
    -webkit-transition: 0.4s;
    transition: 0.4s;
}

label .switch input:checked + .slider {
    background-color: #2196f3;
}

label .switch input:focus + .slider {
    box-shadow: 0 0 1px #2196f3;
}

label .switch input:checked + .slider:before {
    -webkit-transform: translateX(18px);
    -ms-transform: translateX(18px);
    transform: translateX(18px);
}

/* Rounded sliders */
label .switch .slider.round {
    border-radius: 34px;
}

label .switch .slider.round:before {
    border-radius: 50%;
}

.reportpage-recorded-daetailed .table tbody tr:nth-child(odd) td,
.apollo-report .table tbody tr:nth-child(odd) td {
    border-top: 2px solid #000 !important;
}

.reportpage-recorded-daetailed .table tbody tr td.hour {
    color: #808080 !important;
}

/* Safari */

@-webkit-keyframes spin {
    0% {
        -webkit-transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
    }
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

/* Desktop */

@media (min-width: 768px) {
    .mobile-only {
        display: none;
    }

    .language-switch-container {
        position: absolute;
        top: 0;
        right: 0;
    }

    .lang-ar .language-switch-container {
        right: auto;
        left: 0;
    }

    .lang-en .navbar > .container-fluid .navbar-brand {
        margin-right: 10px;
    }

    .lang-ar .navbar > .container-fluid .navbar-brand {
        margin-left: 10px;
    }

    .navbar-nav {
        width: calc(100% - 220px);
    }

    .lang-ar .navbar-nav {
        width: calc(100% - 170px);
    }

    .lang-ar .glyphicon-log-out {
        transform: rotate(180deg);
    }

    .lang-ar .side-tools-container {
        padding-right: 25px;
    }

    .lang-en .side-tools-container {
        padding-left: 25px;
    }
}

/* Mobile */

@media (max-width: 768px) {
    .desktop-only {
        display: none;
    }

    .navbar-inverse .navbar-brand {
        padding-left: 5px;
        padding-right: 5px;
    }

    .btn-switch-lang {
        padding-left: 10px;
        padding-right: 10px;
        font-size: 12px;
        line-height: 20px;
    }
}

/* print */

@media print {

    *,
    :after,
    :before {
        color: inherit !important;
    }

    a[href]:after {
        content: "";
    }

    .pdf-page-content,
    .pdf-page-header,
    .pdf-page-footer {
        padding-left: 0 !important;
        padding-right: 0 !important;
    }

    .pdf-page-header {
        padding-top: 0 !important;
    }

    #media-chart-container-1,
    #media-chart-container-2,
    #media-chart-container-3,
    #media-chart-container-4 {
        zoom: 1.14;
    }
}

.sar-table {
    margin-left: -13px;
}

.black-bordered {
    border: 2px solid black;
    width: 100%;
    height: auto;
}

.image-upload > input {
    display: none;
}

.image-upload {
    width: 80px;
    cursor: pointer;
}

.image-upload img {
    width: 100%;
}

#wrapper {
    font-family: Lato;
    font-size: 1.5rem;
    text-align: center;
    box-sizing: border-box;
    color: #333;
}

#dialog {
    border: solid 1px #ccc;
    margin: 10px auto;
    padding: 20px 30px;
    display: inline-block;
    box-shadow: 0 0 4px #ccc;
    background-color: #FAF8F8;
    overflow: hidden;
    position: relative;
    max-width: 450px;
}

#dialog h3 {
    margin: 0 0 10px;
    padding: 0;
    line-height: 1.25;
}

#dialog span {
    font-size: 90%;
}

#dialog input {
    margin: 0 5px;
    text-align: center;
    line-height: 80px;
    font-size: 50px;
    border: solid 1px #ccc;
    box-shadow: 0 0 5px #ccc inset;
    outline: none;
    width: 20%;
    transition: all .2s ease-in-out;
    border-radius: 3px;
}

#dialog input {
    margin: 0 5px;
    text-align: center;
    line-height: 80px;
    font-size: 50px;
    border: solid 1px #ccc;
    box-shadow: 0 0 5px #ccc inset;
    outline: none;
    width: 20%;
    transition: all .2s ease-in-out;
    border-radius: 3px;
}

#dialog button {
    margin: 30px 0 50px;
    width: 100%;
    padding: 6px;
    background-color: #337ab7;
    border: none;
    text-transform: uppercase;
    color: white;
}

#dialog div {
    position: relative;
    z-index: 1;
}

img[src="/image?src=nothing"],
img[src="/image?src=false"] {
    display: none !important;
}
#brush-canvas{
    z-index: 1;
}
.appended-btns button {
    width: 30px;
    height: 30px;
    border: 1px solid #fff;
    background: #5ac1de;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 15px;
    font-weight: bold;
}
.appended-btns button.line_btn {
    background: #333;
    color: #fff;
}
.appended-btns button.width_btn {
    background: #3c763d;
    color: #fff;
}
[draggable] {
    cursor: grab;
}
[increase-font].active {
    border: 1px solid red;
}
.appended-btns {
    display: flex;
}
[btn-download-chart-only],
.rain-val-txt {
    display: none;
}
[template-name="rain"] [btn-download-chart-only],
[template-name="snow"] [btn-download-chart-only] {
    display: inline-block;
}
[template-name="rain"] .rain-val-txt {
    display: block;
    color: #fff;
    transform: translate(-10px, -124px);
    font-size: 20px;
    position: absolute;
}